GET /api/v2/transactions/info HTTP/1.1
Host: app.alphapo.net
X-Processing-Key: text
X-Processing-Signature: text
Accept: */*
{
"id": 2769144
}{
"id": 2769144,
"foreign_id": "withdrawal:823188",
"type": "withdrawal",
"crypto_address": {
"id": 411002,
"currency": "BTC",
"address": "tb1q73h009ezpcltv85vnyvz8n3r5umv2v4n54rhp2",
"tag": null
},
"currency_sent": {
"currency": "BTC",
"amount": 0.0001
},
"currency_received": {
"currency": "BTC",
"amount": 10000
},
"transactions": [
{
"id": 823194,
"currency": "BTC",
"transaction_type": "blockchain",
"type": "withdrawal",
"address": "tb1q73h009ezpcltv85vnyvz8n3r5umv2v4n54rhp2",
"tag": null,
"amount": 0.0001,
"txid": 7.854431205445763e+76,
"confirmations": 0
}
],
"fees": [
{
"type": "mining",
"currency": "BTC",
"amount": 0
},
{
"type": "fee_crypto_deposit_wallet_client",
"currency": "BTC",
"amount": 0
}
],
"error": "",
"status": "confirmed"
}Use this endpoint to get transaction details by ID or foreign_id. You can only include one of those parameters in your request.
Note: You can only request data for transactions that were authorised using your API and secret key.
GET /api/v2/transactions/info HTTP/1.1
Host: app.alphapo.net
X-Processing-Key: text
X-Processing-Signature: text
Accept: */*
{
"id": 2769144
}{
"id": 2769144,
"foreign_id": "withdrawal:823188",
"type": "withdrawal",
"crypto_address": {
"id": 411002,
"currency": "BTC",
"address": "tb1q73h009ezpcltv85vnyvz8n3r5umv2v4n54rhp2",
"tag": null
},
"currency_sent": {
"currency": "BTC",
"amount": 0.0001
},
"currency_received": {
"currency": "BTC",
"amount": 10000
},
"transactions": [
{
"id": 823194,
"currency": "BTC",
"transaction_type": "blockchain",
"type": "withdrawal",
"address": "tb1q73h009ezpcltv85vnyvz8n3r5umv2v4n54rhp2",
"tag": null,
"amount": 0.0001,
"txid": 7.854431205445763e+76,
"confirmations": 0
}
],
"fees": [
{
"type": "mining",
"currency": "BTC",
"amount": 0
},
{
"type": "fee_crypto_deposit_wallet_client",
"currency": "BTC",
"amount": 0
}
],
"error": "",
"status": "confirmed"
}Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
The transaction's ID in AlphaPo's records.
The transaction's unique identifier in your system. You can only find withdrawal transactions by their foreign_id. For deposits, search by id.
OK
Transaction ID.
2769144
This transaction's unique identifier in your system.
"withdrawal:823188"
Transaction type.
withdrawal, withrawal_exchange, exchange "withdrawal"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of all fees charged for this transaction.
Show child attributes
[
{
"type": "mining",
"currency": "BTC",
"amount": 0
},
{
"type": "fee_crypto_deposit_wallet_client",
"currency": "BTC",
"amount": 0
}
]If there are any errors, they will be displayed in this parameter.
""
Transaction status.
"confirmed"
Was this page helpful?